## AgsDiatonicScale

AgsDiatonicScale — diatonic scale

## Stability Level

Stable, unless otherwise indicated

## Functions

guint | ags_diatonic_scale_note_to_midi_key ()
guint | ags_diatonic_scale_midi_key_to_note ()

## Object Hierarchy

        GBoxed
        ╰── AgsDiatonicScale

## Includes

    #include <ags/audio/ags_diatonic_scale.h>

## Description

Functions to handle diatonic scale.

## Functions

### ags_diatonic_scale_note_to_midi_key ()

    guint
    ags_diatonic_scale_note_to_midi_key (gchar *note,
                                         glong *key);

Convert `note` to MIDI key and store in `key` .

#### Parameters

note | the note name |
key | return location of MIDI key |

#### Returns

the number of chars read

Since: 3.0.0

### ags_diatonic_scale_midi_key_to_note ()

    guint
    ags_diatonic_scale_midi_key_to_note (glong key,
                                         gchar **note);

Convert MIDI `key` to note name and store in `note` .

#### Parameters

key | MIDI key |
note | return location of note name |

#### Returns

the number of chars written

Since: 3.0.0